#### D.15.2.24 determineGermWithSemiNormalizedNNB

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  germWithSemiNormalizedNNB(N); N NormalForm as given by @ref(determineNormalForm)

Return:
  a polynomial, stored in N.phi.targetgerm, that is stable equivalent to N.phi.sourcegerm.value with a normalized nondegenerate Newton boundary up to scalar multiplication
  of each of its variables, if possible, or an ERROR message otherwise

Example:

    LIB "arnold.lib";
    ring R = 0,(x,y),ds;
    poly g = (x^2+y^2)^2+5*x^(10)+y^(11);
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    map phi = R,phix,phiy;
    g = phi(g);
    Poly F = makePoly(g);
    NormalForm N = determineNormalForm(F);
    N=determineGermWithSemiNormalizedNNB(N);
    ==> // coefficients: QQ[a]/(...) considered as a field
    ==> // number of vars : 2
    ==> //        block   1 : ordering ds
    ==> //                  : names    x y
    ==> //        block   2 : ordering C

User manual for Singular version 4.4.1, 2025, generated by texi2html.